
Application: gvSIG desktop - gvSIG bugs #5227
Al ejecutar el geoproceso de "Área de influencia" da error
04/21/2020 11:44 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Óscar Martínez
Category: Geoprocess
Target version: 2.5.1-3022
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3014 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Da error el geoproceso de "Área de influencia".

Probado sobre varias capas de puntos, tanto en Windows como en Linux.

Adjunto log.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5260: Geoproceso de cort... Closed 05/06/2020

Associated revisions
Revision 44948 - 04/24/2020 03:48 PM - Joaquín  del Cerro Murciano

refs #5227, forzamos a recalcular cual es el campo de geometria por defecto cada vez que se le pida a un EdittableFeatureType

History
#1 - 04/23/2020 05:07 PM - Joaquín  del Cerro Murciano

Intentando reproducirlo solo me falla cuando se marca el check de disolver entidades.

 WARN 2817386 [Thread-29] (SextanteLogHandler.java:37) - 
java.util.concurrent.ExecutionException: java.lang.NullPointerException
        at java.util.concurrent.FutureTask.report(FutureTask.java:122)
        at java.util.concurrent.FutureTask.get(FutureTask.java:192)
        at es.unex.sextante.gui.core.GeoAlgorithmExecutors$1.run(GeoAlgorithmExecutors.java:53)
        at java.lang.Thread.run(Thread.java:745)
Caused by: java.lang.NullPointerException
        at org.gvsig.geoprocess.algorithm.buffer.OutBufferOperation.invoke(OutBufferOperation.java:121)
        at org.gvsig.geoprocess.algorithm.base.core.GeometryOperation.computesGeometryOperation(GeometryOperation.java:163)
        at org.gvsig.geoprocess.algorithm.buffer.BufferAlgorithm.computesOneRingBufferWithDissolve(BufferAlgorithm.java:242)
        at org.gvsig.geoprocess.algorithm.buffer.BufferAlgorithm.computesBufferAlgWithDissolve(BufferAlgorithm.java:259)
        at org.gvsig.geoprocess.algorithm.buffer.BufferAlgorithm.processAlgorithm(BufferAlgorithm.java:213)
        at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:238)
        at org.gvsig.geoprocess.lib.sextante.AbstractSextanteGeoProcess.execute(AbstractSextanteGeoProcess.java:92)
        at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:184)
        at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
        at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
        at java.util.concurrent.FutureTask.run(FutureTask.java:266)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
        ... 1 more

#2 - 04/24/2020 03:44 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3017

#3 - 04/27/2020 09:11 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3017 to 2.5.1-3044

#4 - 05/04/2020 11:06 PM - Joaquín  del Cerro Murciano
- Assignee set to Óscar Martínez

#5 - 05/06/2020 10:50 AM - Álvaro Anguix
- Related to gvSIG bugs #5260: Geoproceso de cortar o intersectar: Capa vacía resultante added

#6 - 05/08/2020 01:10 AM - Óscar Martínez
- Status changed from New to Fixed

Otros cambios en el ticket relacionado habrán solucionado el fallo no consigo replicarlo.

#7 - 05/08/2020 09:12 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3022

#8 - 05/09/2020 04:16 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 77.2 KB 04/21/2020 Mario Carrera
gvSIG.log.1 512 KB 04/21/2020 Mario Carrera
gvSIG.log.2 512 KB 04/21/2020 Mario Carrera
gvSIG.log.3 512 KB 04/21/2020 Mario Carrera
